Bug 113378 - kernel panic for unknown reason
kernel panic for unknown reason
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 06:43 EST by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 12:53:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2004-01-13 06:43:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1)
Gecko/20031114 Galeon/1.3.11a

Description of problem:
Here is the trace :

------------[ cut here ]------------
kernel BUG at page_alloc.c:218!
invalid operand: 0000
loop nfs nfsd lockd sunrpc autofs sch_ingress cls_u32 sch_sfq sch_htb
ppp_synctty ppp_async ppp_generic slhc ne2k-pci 8390 3c59x
ip_conntrack_irc ip_nat_irc i
CPU:    0
EIP:    0060:[<c0137b05>]    Not tainted
EFLAGS: 00010006

EIP is at rmqueue [kernel] 0x95 (2.4.22-1.2140.nptl)
eax: 00003000   ebx: c108f2b0   ecx: 00000000   edx: 0000340f
esi: c0322244   edi: 00000000   ebp: c0322230   esp: c1a61f1c
ds: 0068   es: 0068   ss: 0068
Process gkrellmd (pid: 1495, stackpage=c1a61000)
Stack: c2abb520 c108f2b0 c1b2bae0 c012e407 c02635e0 00000282 00000000
c0322230
       c0322394 000000c1 00000000 000001f0 c0137fb0 c0322230 c0322390
00000022
       3ff17000 c063b9c0 ffffffea 00001000 c0138138 3ff17000 c01605bb
00000022
Call Trace:   [<c012e407>] do_mmap_pgoff [kernel] 0x407 (0xc1a61f28)
[<c0137fb0>] __alloc_pages [kernel] 0x40 (0xc1a61f4c)
[<c0138138>] __get_free_pages [kernel] 0x58 (0xc1a61f6c)
[<c01605bb>] proc_file_read [kernel] 0x3b (0xc1a61f74)
[<c013e735>] sys_read [kernel] 0x85 (0xc1a61f9c)
[<c01093a3>] system_call [kernel] 0x33 (0xc1a61fc0)

------------[ cut here ]------------
kernel BUG at page_alloc.c:218!
invalid operand: 0000
loop nfs nfsd lockd sunrpc autofs sch_ingress cls_u32 sch_sfq sch_htb
ppp_synctty ppp_async ppp_generic slhc ne2k-pci 8390 3c59x
ip_conntrack_irc ip_nat_irc i
CPU:    0
EIP:    0060:[<c0137b05>]    Not tainted
EFLAGS: 00010003
 
EIP is at rmqueue [kernel] 0x95 (2.4.22-1.2140.nptl)
eax: c015b130   ebx: c101f96c   ecx: c015a130   edx: 00000b7c
esi: c0322194   edi: 00000000   ebp: c0322180   esp: c0c2bd84
ds: 0068   es: 0068   ss: 0068
Process sendmail (pid: 10704, stackpage=c0c2b000)
Stack: 00000000 c101f96c 00000000 00000000 00000000 00000286 00000000
c0322180
       c03223b8 00000101 00000000 000001d2 c0137fb0 c0322230 c03223b0
00000000
       3ff2f000 00000000 00104025 c09b3800 c012d632 3ff2f000 c0c799c0
00000001
Call Trace:   [<c0137fb0>] __alloc_pages [kernel] 0x40 (0xc0c2bdb4)
[<c012d632>] do_anonymous_page [kernel] 0x62 (0xc0c2bdd4)
[<c012d966>] handle_mm_fault [kernel] 0x56 (0xc0c2bde8)
[<c01162cd>] do_page_fault [kernel] 0x11d (0xc0c2be10)
[<c01161b0>] do_page_fault [kernel] 0x0 (0xc0c2beb4)
[<c01094b4>] error_code [kernel] 0x34 (0xc0c2bebc)
[<c0130ee2>] file_read_actor [kernel] 0x72 (0xc0c2bef0)
[<c013090e>] do_generic_file_read [kernel] 0x21e (0xc0c2bf10)
[<c0130e70>] file_read_actor [kernel] 0x0 (0xc0c2bf38)
[<c0130fba>] generic_file_read [kernel] 0x9a (0xc0c2bf58)
[<c0130e70>] file_read_actor [kernel] 0x0 (0xc0c2bf68)
[<c013e735>] sys_read [kernel] 0x85 (0xc0c2bf9c)
[<c01093a3>] system_call [kernel] 0x33 (0xc0c2bfc0)

[root@confiote ~]# lsmod
Module                  Size  Used by    Not tainted
loop                   10808   0  (unused)
nfs                    78488   0  (autoclean)
nfsd                   73648   8  (autoclean)
lockd                  53168   1  (autoclean) [nfs nfsd]
sunrpc                 79612   1  (autoclean) [nfs nfsd lockd]
autofs                 11156   1  (autoclean)
sch_ingress             2464   1  (autoclean)
cls_u32                 5628   5  (autoclean)
sch_sfq                 4064   3  (autoclean)
sch_htb                20768   1  (autoclean)
ppp_synctty             6272   0  (unused)
ppp_async               7936   1
ppp_generic            23516   3  [ppp_synctty ppp_async]
slhc                    6596   0  [ppp_generic]
ne2k-pci                6144   1
8390                    7728   0  [ne2k-pci]
3c59x                  29360   1
ip_conntrack_irc        3728   1  (autoclean)
ip_nat_irc              2896   0  (unused)
ip_conntrack_ftp        4688   1  (autoclean)
ip_nat_ftp              3536   0  (unused)
ipt_state               1048   1  (autoclean)
ipt_TCPMSS              2968   1  (autoclean)
ipt_LOG                 4152   1  (autoclean)
ipt_REJECT              3960   7  (autoclean)
iptable_filter          2348   1  (autoclean)
ipt_TOS                 1560   8  (autoclean)
iptable_mangle          2712   1  (autoclean)
iptable_nat            20504   3  (autoclean) [ip_nat_irc ip_nat_ftp]
ip_conntrack           27112   4  (autoclean) [ip_conntrack_irc
ip_nat_irc ip_conntrack_ftp ip_nat_ftp ipt_state iptable_nat]
ip_tables              14528  10  [ipt_state ipt_TCPMSS ipt_LOG
ipt_REJECT iptable_filter ipt_TOS iptable_mangle iptable_nat]
ip6table_filter         2380   1  (autoclean)
ip6_tables             15296   1  [ip6table_filter]
ipv6                  172852  -1  (autoclean)
floppy                 55036   0  (autoclean)
sg                     33772   0  (autoclean) (unused)
scsi_mod              107496   1  (autoclean) [sg]
ext3                   65060   2
jbd                    47372   2  [ext3]

The system is a small server/gateway (no X).

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2140.nptl

How reproducible:
Didn't try

Steps to Reproduce:
Didnt tried

Additional info:
Comment 1 Dams 2004-01-13 06:46:01 EST
I just woke up this morning and found the trace in the dmesg.
During the night, the /proc/net/ip_conntrack reach its limit (4096)
and some packets were dropped : 

Jan 13 03:55:10 confiote kernel: NET: 41 messages suppressed.
Jan 13 03:55:10 confiote kernel: ip_conntrack: table full, dropping
packet.

I dont have any clue about what caused this panic.
Comment 2 Dave Jones 2004-06-19 11:26:25 EDT
did this get fixed in the later errata kernels ? around 2163 or so,
there were significant VM updates.
Comment 3 Dams 2004-06-19 11:36:42 EDT
I cant remember having seen a panic on this system during the last
months... You can close the bug.

Note You need to log in before you can comment on or make changes to this bug.